DELETE FROM Trace.Message;
DELETE FROM Trace.MessageCategory;

INSERT INTO Trace.MessageCategory (code, title) VALUES ('PEDI00700I', 'System');
INSERT INTO Trace.MessageCategory (code, title) VALUES ('PEDI00701I', 'Inbound Pedigree Document Syntax');
INSERT INTO Trace.MessageCategory (code, title) VALUES ('PEDI00702I', 'Inbound Pedigree Document Structure');
INSERT INTO Trace.MessageCategory (code, title) VALUES ('PEDI00703I', 'Pedigree Security');
INSERT INTO Trace.MessageCategory (code, title) VALUES ('PEDI00704I', 'Product Master Data');
INSERT INTO Trace.MessageCategory (code, title) VALUES ('PEDI00705I', 'EPC Trace (Pedigree Status)');
INSERT INTO Trace.MessageCategory (code, title) VALUES ('PEDI00706I', 'Inbound Pedigree Envelope Syntax');
INSERT INTO Trace.MessageCategory (code, title) VALUES ('PEDI00707I', 'Inbound Pedigree Envelope Structure');
INSERT INTO Trace.MessageCategory (code, title) VALUES ('PEDI00708I', 'Location Master Data');
INSERT INTO Trace.MessageCategory (code, title) VALUES ('PEDI00709I', 'Partner Master Data');
INSERT INTO Trace.MessageCategory (code, title) VALUES ('PEDI00710I', 'Contact Master Data');
INSERT INTO Trace.MessageCategory (code, title) VALUES ('PEDI00711I', 'License Master Data');
INSERT INTO Trace.MessageCategory (code, title) VALUES ('PEDI00712I', 'Other Master Data');


-- PEDI00705I Trace messages

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00730E', 'Incomplete trace', 'PEDI00705I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00731I', 'Trace complete but item not received', 'PEDI00705I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00732I', 'Initial trace', 'PEDI00705I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00733I', 'Trace data complete and item received', 'PEDI00705I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00734I', 'Trace data complete and item shipped', 'PEDI00705I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00735I', 'Item has been repackaged into another item', 'PEDI00705I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00736I', 'Initial repackaged pedigree', 'PEDI00705I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00737E', 'Unknown trace', 'PEDI00705I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00738W', 'Trace message unknown', 'PEDI00705I');


-- PEDI00704I - Category Product Master Data

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00916E', 'Unknown element value', 'PEDI00704I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00917E', 'Unknown attribute', 'PEDI00704I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00918E', 'Unknown attribute value', 'PEDI00704I');


-- PEDI00708I - Category Location Master Data

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00901E', 'Unknown element value', 'PEDI00708I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00902E', 'Unknown attribute', 'PEDI00708I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00903E', 'Unknown attribute value', 'PEDI00708I');


-- PEDI00709I - Category Partner Master Data

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00904E', 'Unknown element value', 'PEDI00709I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00905E', 'Unknown attribute', 'PEDI00709I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00906E', 'Unknown attribute value', 'PEDI00709I');


-- PEDI00710I - Category Contact Master Data

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00907E', 'Unknown element value', 'PEDI00710I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00908E', 'Unknown attribute', 'PEDI00710I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00909E', 'Unknown attribute value', 'PEDI00710I');


-- PEDI00711I - Category License Master Data

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00910E', 'Unknown element value', 'PEDI00711I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00911E', 'Unknown attribute', 'PEDI00711I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00912E', 'Unknown attribute value', 'PEDI00711I');


-- PEDI00712I - Category Other Master Data

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00913E', 'Unknown element value', 'PEDI00712I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00914E', 'Unknown attribute', 'PEDI00712I');

INSERT INTO Trace.Message (code, title, category)
    VALUES ('PEDI00915E', 'Unknown attribute value', 'PEDI00712I');

-- The rest of messages from /com.ibm.rfidic.pharma.epedigree.messages/src/com/ibm/rfidic/pharma/epedigree/messages/ExternalMessages.properties to be added here

COMMIT;
