#!/bin/sh
#
# Licensed Materials - Property of IBM
#
# Governed under the terms of the International
# License Agreement for Non-Warranted Sample Code.
#
# (C) COPYRIGHT International Business Machines Corp. 2007, 2012
# All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#
# setPedigreeEnv.sh - set the variables for installation of 
# ePedigree Feature for InfoSphere Traceability Server 
#

###############################################################################################################################################
#
# Specify the location of the epedigree module zip file 
# Default value is ./ePedigree.zip
#

PEDIGREE_BUILD_PATH=./ePedigree.zip


#
# Specify the location of the IBM InfoSphere Traceability Server (TS) is installed.
#
TS_HOME=/opt/IBM/WebSphere/AppServer/ts

#
# Specify the password for the Traceability Server administrative user
#
ts_admin_password=tsadmin123


# 
# Specify the IP address, only if your system has multiple IPs configured. 
# Uncomment the line by removing '#', once you have set the IP.
#

#IP=127.0.0.1


#
# Specify the password for the WebSphere Application Server administrative user only if WAS security is enabled
# Uncomment the line by removing '#'
# 

#was_admin_password=


#
# Specify the capture type, only if you choose to enable document pedigree. 
# If capture is MQ give value as MQ or if capture is either HTTP or FileSystem give HTTP
#

CAPTURE_TYPE=MQ


#
# Specify the Document pedigree Capture Bus Name here.
# This will be the SI Bus for capture 
# Default value is DocPedigreeCaptureBus
#

Document_capture_bus=

#
# Specify the Document pedigree Service Bus Name here.
# This will be the SI Bus for service 
# Default value is DocPedigreeServiceBus
#

Document_service_bus=

#
# Specify queue names for various queues
# Specify the queue name for DOCPEDIGREE_QUEUE
# Default value is DOCUMENTQUEUE
#

DOCPEDIGREE_QUEUE=

#
#Specify the queue name for QNAME_PEDIGREE_EVENT
#Default value is PedigreeEventIn
#

QNAME_PEDIGREE_EVENT=

#
#Specify the queue name for MDM_CHANGE_NOTIF_QUEUE_NAME
#Default value is MDMChangeNotification
#

MDM_CHANGE_NOTIF_QUEUE_NAME=

#
# Specify the userids, passwords and ssl configurations that will be used to configure access internal secure 
# webservices. This user should be a valid user in the Application Server user registry. After installation, 
# please make sure that user has appropriate authorizations as mentioned below.
# 
# WS_USER_* = userID
# WS_PWD_* = password for the above user
# WS_SSL_* = SSL Configuration name for the securing of internal web services For eg:- hostmachine/XXXSSLSettings 

# For com.ibm.epcis.pharma.pedigree.ws.war & DocRepositoryService
# WS_USER_1 will be added to DocRepository role of DocumentPedigreeEAR
WS_USER_1=
WS_PWD_1=
WS_SSL_1= 

# For com.ibm.rfidic.pharma.epedigree.ui.partners.war & EPCglobalEPCISService
# 1) The WS_USER_2 will be mapped to EPCISQuery role for com.ibm.rfidic.webEAR
# 2) This WS_USER_2 user must also have authorization to run a SimpleEventQuery and be able to access ObjectEvent event 
# types and the attributes of the shipping events being sent to the downstream partner.  

WS_USER_2=
WS_PWD_2=
WS_SSL_2= 

# For com.ibm.rfidic.pharma.epedigree.ui.war & PedigreeService
# WS_USER_3 will be added to PedigreeService role of PedigreeEAR
WS_USER_3=
WS_PWD_3=
WS_SSL_3= 

# For com.ibm.epcis.pharma.pedigree.ws.war & EPCglobalEPCISService
# Use the same authorizations as specified for WS_USER_2
WS_USER_4=
WS_PWD_4=
WS_SSL_4= 

# For com.ibm.rfidic.pedigree.mdb.jar & EPCglobalEPCISService
# Use the same authorizations as specified for WS_USER_2
WS_USER_5=
WS_PWD_5=
WS_SSL_5= 

######################### Database settings ###############################################################
#
# Specify the DBMS_ADMIN_USER's password
#

DBMS_ADMIN_PWD=pw4dba


#
# Specify the tablespace into which tables need to be created. If nothing is specified and USE_TS_SETTINGS=N
# the default table space will be used
#

#DB_TABLE_SPACE=


#################################### MQ settings #######################################################

#
# Specify the password for the WebSphere MQ user
#

MQ_USER_PASSWORD=mqm123


#########################################################################################################


################# Settings for silent installation ######################################################

#
# Set the following parameters to 'Y' to enable non-interactive mode of installation
#

#
# SILENT=Y - Specifies that no user interaction is required
#

SILENT=

#
# LICENSE_ACCEPT=Y - Specifies that you accept the license and the license should not be displayed
#

LICENSE_ACCEPT=Y

#
# FORCE_INSTALL=Y - Specifies that if the PEDIGREE_HOME is not empty then delete the contents of the 
#		    folder and continue with the installation
#

FORCE_INSTALL=

##########################################################################################################
