#!/bin/ksh
#
# Licensed Materials - Property of IBM
#
# Governed under the terms of the International
# License Agreement for Non-Warranted Sample Code.
#
# 5724-O98 (C) COPYRIGHT International Business Machines Corp. 2006 - 2008
# All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
#
#
# verifyPedigree.sh - This invokes the GetPedigree Webservice via HTTP request
# It takes the epc as an argument whose Pedigree needs to be generated
#
# Usage: verifyPedigree.sh [epc]
#############################################################################

RM="/bin/rm -f"

# ---------------------------------------------------------------------
# Main
#
# setup solution environment
#
SCRIPT_DIR=`dirname ${0}`
echo "Going to execute "
if [ -f ${SCRIPT_DIR}/pedigree-env.sh ]; then
	. ${SCRIPT_DIR}/pedigree-env.sh
else
	# "$0 : File not found ${SCRIPT_DIR}/pedigree-env.sh"
	exit -1
fi
appendClassPathWithWASJars
SSL_SETTINGS=`sslWASSettings`
java -classpath $CLASSPATH  -Dcom.ibm.ssl.performURLHostNameVerification="true" $SSL_SETTINGS com.ibm.rfidic.pedigree.install.syscheck.PedigreeVerification $*
